'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _escape = require('../escape');

var _escape2 = _interopRequireDefault(_escape);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize a code block to HTML
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.BLOCKS.CODE).then(function (state) {
    var node = state.peek();
    var syntax = node.data.get('syntax');
    var text = node.nodes.map(function (line) {
        return line.text;
    }).join('\n');

    var className = syntax ? ' class="lang-' + syntax + '"' : '';

    return state.shift().write('<pre><code' + className + '>' + (0, _escape2.default)(text) + '</code></pre>\n');
});

exports.default = { serialize: serialize };