'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _RULES;

var _ = require('../../');

var _serializeTag = require('../serializeTag');

var _serializeTag2 = _interopRequireDefault(_serializeTag);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var RULES = (_RULES = {}, _defineProperty(_RULES, _.BLOCKS.HEADING_1, (0, _serializeTag2.default)('h1', { getAttrs: getAttrs })), _defineProperty(_RULES, _.BLOCKS.HEADING_2, (0, _serializeTag2.default)('h2', { getAttrs: getAttrs })), _defineProperty(_RULES, _.BLOCKS.HEADING_3, (0, _serializeTag2.default)('h3', { getAttrs: getAttrs })), _defineProperty(_RULES, _.BLOCKS.HEADING_4, (0, _serializeTag2.default)('h4', { getAttrs: getAttrs })), _defineProperty(_RULES, _.BLOCKS.HEADING_5, (0, _serializeTag2.default)('h5', { getAttrs: getAttrs })), _defineProperty(_RULES, _.BLOCKS.HEADING_6, (0, _serializeTag2.default)('h6', { getAttrs: getAttrs })), _RULES);

/**
 * Serialize a heading to HTML
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(Object.keys(RULES)).then(function (state) {
    var node = state.peek();
    return RULES[node.type](state);
});

/**
 * @param {Node} headingNode
 * @return {Object} The attributes names/value for the heading
 */
function getAttrs(headingNode) {
    return {
        id: headingNode.data.get('id')
    };
}

exports.default = { serialize: serialize };