'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _html = require('html');

var Html = _interopRequireWildcard(_html);

var _ = require('../');

var _parse = require('./parse');

var _parse2 = _interopRequireDefault(_parse);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

/**
 * Serialize a document to HTML.
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchObject('document').then(function (state) {
    var node = state.peek();
    var nodes = node.nodes;


    var text = state.use('block').serialize(nodes);

    var prettified = Html.prettyPrint(text, { indent_size: 2 });

    return state.shift().write(prettified);
});

/**
 * Deserialize an HTML document.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().then(function (state) {
    var text = state.text;

    var document = (0, _parse2.default)(text);

    return state.skip(text.length).push(document);
});

exports.default = { serialize: serialize, deserialize: deserialize };