'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _escape = require('../escape');

var _escape2 = _interopRequireDefault(_escape);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Escape all text leaves during serialization.
 *
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().transformText(function (state, leaf) {
    var text = leaf.text;


    return leaf.merge({
        text: (0, _escape2.default)(text)
    });
});

exports.default = { serialize: serialize };