'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

/**
 * Serialize a inline footnote reference to HTML
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.INLINES.FOOTNOTE_REF).then(function (state) {
    var node = state.peek();
    var refname = node.data.get('id');
    return state.shift().write('<sup><a href="#fn_' + refname + '" id="reffn_' + refname + '">' + refname + '</a></sup>');
});

exports.default = { serialize: serialize };