'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

/**
 * Serialize an HTML inline to HTML
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.INLINES.HTML).then(function (state) {
    var node = state.peek();

    var _node$data$toObject = node.data.toObject(),
        html = _node$data$toObject.html,
        openingTag = _node$data$toObject.openingTag,
        closingTag = _node$data$toObject.closingTag,
        innerHtml = _node$data$toObject.innerHtml;

    if (html) {
        // Legacy format
        return state.shift().write(html);
    } else if (innerHtml) {
        return state.shift().write(openingTag).write(innerHtml).write(closingTag);
    }
    return state.shift().write(openingTag).write(state.serialize(node.nodes)).write(closingTag);
});

exports.default = { serialize: serialize };