'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _serializeTag = require('../serializeTag');

var _serializeTag2 = _interopRequireDefault(_serializeTag);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize an image to HTML
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.INLINES.IMAGE).then((0, _serializeTag2.default)('img', {
    isSingleTag: true,
    getAttrs: function getAttrs(node) {
        return {
            src: node.data.get('src'),
            alt: node.data.get('alt')
        };
    }
}));

exports.default = { serialize: serialize };