'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

/**
 * Serialize a text node to HTML
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchObject('text').then(function (state) {
    var node = state.peek();
    var text = node.text;

    // Hard-line breaks are newline in text nodes

    text = text.replace(/(?:\r\n|\r|\n)/g, '<br />');

    return state.shift().write(text);
});

exports.default = { serialize: serialize };