'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _block = require('../re/block');

var _block2 = _interopRequireDefault(_block);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize a comment to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.BLOCKS.COMMENT).then(function (state) {
    var node = state.peek();
    var data = node.data;

    var text = data.get('text');

    return state.shift().write('{# ' + text + ' #}');
});

/**
 * Deserialize a comment to a node.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().matchRegExp(_block2.default.comment, function (state, match) {
    if (state.getProp('template') === false) {
        return undefined;
    }

    var node = _.Block.create({
        type: _.BLOCKS.COMMENT,
        isVoid: true,
        data: {
            text: match[1].trim()
        }
    });

    return state.push(node);
});

exports.default = { serialize: serialize, deserialize: deserialize };