'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _block = require('../re/block');

var _block2 = _interopRequireDefault(_block);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize a footnote to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.BLOCKS.FOOTNOTE).then(function (state) {
    var node = state.peek();
    var inner = state.use('inline').serialize(node.nodes);
    var id = node.data.get('id');

    return state.shift().write('[^' + id + ']: ' + inner + '\n\n');
});

/**
 * Deserialize a footnote to a node.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().matchRegExp(_block2.default.footnote, function (state, match) {
    var id = match[1];
    var text = match[2];
    var nodes = state.use('inline').deserialize(text);
    var node = _.Block.create({
        type: _.BLOCKS.FOOTNOTE,
        nodes: nodes,
        data: { id: id }
    });

    return state.push(node);
});

exports.default = { serialize: serialize, deserialize: deserialize };