'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _block = require('../re/block');

var _block2 = _interopRequireDefault(_block);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize an HR to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.BLOCKS.HR).then(function (state) {
    var depth = state.depth,
        text = state.text;


    var isFirstNode = depth == 2 && !text;

    return state.shift().write((isFirstNode ? '\n' : '') + '---\n\n');
});

/**
 * Deserialize an HR to a node.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().matchRegExp(_block2.default.hr, function (state, match) {
    var node = _.Block.create({
        type: _.BLOCKS.HR,
        isVoid: true
    });

    return state.push(node);
});

exports.default = { serialize: serialize, deserialize: deserialize };