'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _block = require('../re/block');

var _block2 = _interopRequireDefault(_block);

var _html = require('../../html');

var _html2 = _interopRequireDefault(_html);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize an HTML block to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.BLOCKS.HTML).then(function (state) {
    var node = state.peek();
    var data = node.data;


    return state.shift().write(data.get('html').trim() + '\n\n');
});

/**
 * Deserialize an HTML block to a node.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().matchRegExp(_block2.default.html, function (state, match) {
    var html = match[0].trim();

    var htmlState = _.State.create(_html2.default);
    var document = htmlState.deserializeToDocument(html);

    var firstNode = document.nodes.first();
    var documentIsEmpty = document.nodes.size === 1 && firstNode.type === _.BLOCKS.PARAGRAPH && firstNode.text === '';

    if (documentIsEmpty) {
        return state;
    }

    return state.push(document.nodes);
});

exports.default = { serialize: serialize, deserialize: deserialize };