'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _block = require('../re/block');

var _block2 = _interopRequireDefault(_block);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize a unstyled node to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.BLOCKS.TEXT).then(function (state) {
    var node = state.peek();
    var inner = state.use('inline').serialize(node.nodes);

    return state.shift().write(inner + '\n');
});

/**
 * Deserialize a unstyle text to a node.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().matchRegExp(_block2.default.text, function (state, match) {
    var inner = match[0];
    var nodes = state.use('inline').deserialize(inner);
    var node = _.Block.create({
        type: _.BLOCKS.TEXT,
        nodes: nodes
    });

    return state.push(node);
});

exports.default = { serialize: serialize, deserialize: deserialize };