'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _inline = require('../re/inline');

var _inline2 = _interopRequireDefault(_inline);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize a bold text to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().transformMarkedLeaf(_.MARKS.BOLD, function (state, text, mark) {
    return (0, _utils.wrapInline)(text, '**');
});

/**
 * Deserialize a bold.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().matchRegExp(_inline2.default.strong, function (state, match) {
    var text = match[2] || match[1];
    var mark = _.Mark.create({ type: _.MARKS.BOLD });

    var nodes = state.pushMark(mark).deserialize(text);

    return state.push(nodes);
});

exports.default = { serialize: serialize, deserialize: deserialize };