'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _utils = require('../utils');

/**
 * Escape all text leaves during serialization.
 * This step should be done before processing text leaves for marks.
 *
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().transformText(function (state, leaf) {
    var text = leaf.text,
        marks = leaf.marks;

    var hasCode = marks.some(function (mark) {
        return mark.type === _.MARKS.CODE;
    });

    return leaf.merge({
        text: hasCode ? text : (0, _utils.escape)(text, false)
    });
});

exports.default = { serialize: serialize };