'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _inline = require('../re/inline');

var _inline2 = _interopRequireDefault(_inline);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize a footnote to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.INLINES.FOOTNOTE_REF).then(function (state) {
    var node = state.peek();
    var id = node.data.get('id');
    var output = '[^' + id + ']';

    return state.shift().write(output);
});

/**
 * Deserialize a footnote.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().matchRegExp(_inline2.default.reffn, function (state, match) {
    var id = match[1];
    var node = _.Inline.create({
        type: _.INLINES.FOOTNOTE_REF,
        isVoid: true,
        data: {
            id: id
        }
    });

    return state.push(node);
});

exports.default = { serialize: serialize, deserialize: deserialize };