'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ = require('../../');

var _inline = require('../re/inline');

var _inline2 = _interopRequireDefault(_inline);

var _utils = require('../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize a italic text to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().transformMarkedLeaf(_.MARKS.ITALIC, function (state, text) {
  return (0, _utils.wrapInline)(text, '_');
});

/**
 * Deserialize an italic.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().matchRegExp(_inline2.default.em, function (state, match) {
  var text = match[2] || match[1];
  var mark = _.Mark.create({ type: _.MARKS.ITALIC });

  var nodes = state.pushMark(mark).deserialize(text);

  return state.push(nodes);
});

exports.default = { serialize: serialize, deserialize: deserialize };