'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _inline = require('../re/inline');

var _inline2 = _interopRequireDefault(_inline);

var _utils = require('../utils');

var utils = _interopRequireWildcard(_utils);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize a text node to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchObject('text').then(function (state) {
    var node = state.peek();

    return state.shift().write(node.text);
});

/**
 * Deserialize escaped text.
 * @type {Deserializer}
 */
var deserializeEscaped = (0, _.Deserializer)().matchRegExp(_inline2.default.escape, function (state, match) {
    return state.pushText(match[1]);
});

/**
 * Deserialize text.
 * @type {Deserializer}
 */
var deserializeText = (0, _.Deserializer)().matchRegExp(_inline2.default.text, function (state, match) {
    var text = utils.unescape(match[0]);
    return state.pushText(text);
});

var deserialize = (0, _.Deserializer)().use([deserializeEscaped, deserializeText]);

exports.default = { serialize: serialize, deserialize: deserialize };