'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _ = require('../../');

var _inline = require('../re/inline');

var _inline2 = _interopRequireDefault(_inline);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Serialize a template variable to markdown
 * @type {Serializer}
 */
var serialize = (0, _.Serializer)().matchType(_.INLINES.VARIABLE).then(function (state) {
    var node = state.peek();
    var data = node.data;

    var key = data.get('key');

    return state.shift().write('{{ ' + key + ' }}');
});

/**
 * Deserialize a template variable.
 * @type {Deserializer}
 */
var deserialize = (0, _.Deserializer)().matchRegExp(_inline2.default.variable, function (state, match) {
    if (state.getProp('template') === false) {
        return undefined;
    }

    var node = _.Inline.create({
        type: _.INLINES.VARIABLE,
        isVoid: true,
        data: {
            key: match[1]
        }
    });

    return state.push(node);
});

exports.default = { serialize: serialize, deserialize: deserialize };