'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.unescape = exports.escape = undefined;

var _immutable = require('immutable');

var _escape = require('../../utils/escape');

// Replacements for properties escapement
var REPLACEMENTS = (0, _immutable.OrderedMap)([['\\', '\\\\'], ['*', '\\*'], ['#', '\\#'], ['(', '\\('], [')', '\\)'], ['[', '\\['], [']', '\\]'], ['`', '\\`'], ['_', '\\_'], ['|', '\\|'], ['"', '\\"'], ["'", "\\'"]]);

var escape = function escape(str) {
    return (0, _escape.escapeWith)(REPLACEMENTS, str);
};

// User-inserted slashes have to be escaped first.
// But they need to be unescaped last as markupit adds slashes itself.
// So first we unescape the slashes combined with something else and end by unescaping the lone-slashes.
var unescape = function unescape(str) {
    return (0, _escape.unescapeWith)(REPLACEMENTS.reverse(), str);
};

exports.escape = escape;
exports.unescape = unescape;