'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _splitLines = require('split-lines');

var _splitLines2 = _interopRequireDefault(_splitLines);

var _slate = require('@gitbook/slate');

var _blocks = require('../constants/blocks');

var _blocks2 = _interopRequireDefault(_blocks);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Deserialize the inner text of a code block
 * @param  {String} text
 * @return {Array<Node>} nodes
 */
function deserializeCodeLines(text) {
    var lines = (0, _splitLines2.default)(text);

    return lines.map(function (line) {
        return _slate.Block.create({
            type: _blocks2.default.CODE_LINE,
            nodes: [_slate.Text.create(line)]
        });
    });
}

exports.default = deserializeCodeLines;